redelijk technisch vraagje (Terminal)

Beetje chaotische vraag, maar toch... :)

ik wil iets installeren via de terminal…
ik moet daarvoor (volgens de handleiding) ./configure voor gebruiken…
Vervolgens krijg ik de melding:
[i:b24d9b7c68]checking host system type… configure: error: can not guess host type; you must specify one[/i:b24d9b7c68]

dus moet ik iets gebruiken als: ./configure --host= […]

maar wat moet ik daar invullen? Ik werk op een iMac G4 met Panther

powerpc-apple-…? Wie maakt 'm af? :slight_smile:

Als het een script is, kun je het in een text editor openen.

Als het een executable is, kun je proberen ‘man ./configure’.

thnx maar.... als ik 'man ./configure' gebruik, krijg ik: [i:198a2ec657]no manual entry for ./configure....[/i:198a2ec657]

zucht… ik denk dat ik morgen hulp inschakel van een docent :slight_smile:

Maar toch bedankt rbroen!

ja kan als host volgens mij gewoon 127.0.0.1 invullen ofwel localhost?

Ehrm nee, colpolyp, dat is iets heel anders ;)

Even in de Makefile kijken wat de mogelijkheden zijn.

Vaak geeft ./configure --help ook een overzicht van de mogelijke opties.

[quote:36ae136950="rbroen"]Als het een script is, kun je het in een text editor openen.

Als het een executable is, kun je proberen ‘man ./configure’.[/quote:36ae136950]

Het ene sluit het andere niet uit :wink: In dit geval is het waarschijnlijk een GNU configure script, wat zowel een script als een executable is. Deze scripts worden bij sommige sources geleverd om het compilen te vergemakkelijken.

Echter, deze source is of erg oud, of hij doet library-specifieke dingen die nog nooit zijn getest onder MacOS X / Darwin.

PeterMeeuwsen, als me verteld om welke stukje software het gaat, kan ik je misschien helpen.

Ik wil uiteindelijk [url=http://www.brunswickwdi.com/bie]BIE[/url] installeren, en daarvoor moet je [url=http://www.gnu.org/software/tar/]GNU TAR[/url] installeren (omdat de versie die bij OSX zit niet toereikend blijkt te zijn...)....

En bij het installeren van dat pakketje gaat het fout…

Kan het aan het feit liggen dat ik panther draai?

ow ja… ik heb tar-1.13.tar gedownload…

[quote:e82e84b822="PeterMeeuwsen"]Ik wil uiteindelijk [url=http://www.brunswickwdi.com/bie]BIE[/url] installeren, en daarvoor moet je [url=http://www.gnu.org/software/tar/]GNU TAR[/url] installeren (omdat de versie die bij OSX zit niet toereikend blijkt te zijn...)....

En bij het installeren van dat pakketje gaat het fout…

Kan het aan het feit liggen dat ik panther draai?

ow ja… ik heb tar-1.13.tar gedownload…[/quote:e82e84b822]

GNU tar wordt standaard meegeleverd met Panther. Zie “/usr/bin/gnutar”.

ah thnx! ga ik verder proberen! :)

Inderdaad... alles werkt nu zoals het hoort....

Maar als ik het goed begrijp was GNU TAR dus niet meegeleverd bij <10.3?
(Misschien goed om rekening mee te houden bij andere systemen)

Voordat je er helemaal induikt, zou ik eens bij het Fink project kijken of iemand dit al voor je heeft gedaan. Zie [url]http://fink.sf.net/[/url].

  • Koen.

Ik heb het nu al draaien, maar dit is zeker een bookmark waard! Kan ik vast binnenkort gebruiken! thnx!